#Module-Specific definitions
%define mod_name mod_dav_repos
%define mod_conf 79_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0.9.6
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License 
URL:		http://catacomb.tigris.org/
Source0:	http://catacomb.tigris.org/catacomb-%{version}.tar.gz
Source1:	%{mod_conf}
# wget -rm http://www.webdav.org/catacomb/catacomb_HOWTO.html
Source2:	catacomb_HOWTO.html
Patch1:		catacomb-0.9.2-version.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
Requires:	apache-mod_dav
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Catacomb is a WebDAV repository module for use with the Apache WebDAV module,
mod_dav. Apache mod_dav parses WebDAV and DeltaV protocol requests into
operations on a repository providing persistent storage of resources and their
properties. The default repository for mod_dav is provided by a separate
module, mod_dav_fs, which stores resource bodies as files in the filesystem,
and stores properties in a (G)DBM database. 

Catacomb provides a replacement for mod_dav_fs called mod_dav_repos that stores
resources and their properties in a relational database (MySQL). The primary
advantage of this approach is the searching capabilities of the database are
used to implement the DASL protocol. Additionally, the database allows
straightforward implementation of the versioning capabilities of the DeltaV
protocol.

By shifting to relational database technology, Catacomb is a platform that
contains important aspects of typical document management systems: the ability
to store large numbers of documents, and search over their metadata.
Furthermore, it is possible (via source code modification) to change the set of
predefined properties stored in the main schema of the relational database.
Properties in the main schema are faster to search. 

This project is the first open source implementation of the DASL and
DeltaV(linear versioning) protocols. We plan on tracking the evolution of this
protocol. 

%prep

%setup -q -n catacomb-%{version}
%patch1 -p1

cp %{SOURCE1} %{mod_conf}
cp %{SOURCE2} catacomb_HOWTO.html

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" Makefile*

perl -pi -e "s|/bin/apxs|/sbin/apxs|g" configure*

%build
rm -f configure
autoconf

%configure \
    --with-apache=%{_prefix}

%{_sbindir}/apxs -c mod_dav_repos.c dbms.c lock.c props.c repos.c search.c util.c version.c

%install
rm -rf %{buildroot}

# fix strange permissions
chmod 644 README TODO catacomb_HOWTO.html data.sql table_pgsql.sql table_psql.sql table.sql

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO catacomb_HOWTO.html data.sql table_pgsql.sql table_psql.sql table.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.6-2mdv2009.1
+ Revision: 325687
- rebuild

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.6-1mdv2009.0
+ Revision: 270239
- 0.9.6
- drop redundant patches

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.4-8mdv2009.0
+ Revision: 234918
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.4-7mdv2009.0
+ Revision: 215564
- fix rebuild
- fix buildroot

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.4-6mdv2008.1
+ Revision: 181715
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.9.4-5mdv2008.1
+ Revision: 170716
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.4-4mdv2008.0
+ Revision: 82551
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.org> 1:0.9.4-3mdv2008.0
+ Revision: 65634
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-2mdv2007.1
+ Revision: 140663
- rebuild

* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.4-1mdv2007.1
+ Revision: 140506
- 0.9.4
- bunzipped sources
- rediffed some patches

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.2-3mdv2007.1
+ Revision: 79398
- Import apache-mod_dav_repos

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.2-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.2-2mdv2007.0
- rebuild

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.2-1mdk
- 0.9.2
- rediff P1

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.0-2mdk
- rebuilt against apache-2.2.0

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.0-1mdk
- rebuilt against MySQL-5.0.15
- fix versioning

* Sun Aug 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.9.0-1mdk
- added one gcc4 patch (Michael Scherer)

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.9.0-4mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.9.0-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.9.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.9.0-1mdk
- rebuilt for apache 2.0.53

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.9.0-2mdk
- rebuilt against MySQL-4.1.x system libs
- nuke redundant deps

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.9.0-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.9.0-1mdk
- built for apache 2.0.51

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.9.0-1mdk
- built for apache 2.0.50
- remove redundant provides

* Sat Jun 19 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.9.0-1mdk
- built for apache 2.0.49

